namespace detect.gui.Models;

public class ApiResponse<T>
{
    public int? Code { get; init; } = 0;
    public string? Message { get; set; } = "success";
    public T? Result { get; init; }

    public ApiResponse()
    {
    }

    public ApiResponse(int? code, string? message)
    {
        Code = code;
        Message = message;
    }

    public ApiResponse(int? code, string? message, T? result)
    {
        Code = code;
        Message = message;
        Result = result;
    }
}